// Macro used in the Java Lecture of the 2016 STAR Global Conference

// @author: paco.ezquerra@cd-adapco.com

package macro; 


public class NACA_Workflow extends Workflow {
// Macro hides the complexity in object (Workflow) from companion java macro    
    
    // User Settings
    
        String fileExtension = "csv";
        Double radius = 5.0;
        Double initAngle = 0.0;
        String folder = "C:\\Users\\paco\\Desktop\\"; // <<<< Please change accordingly to your system. 
        
    // End User Settings

    @Override
    public void execute() {

        this.sim = getActiveSimulation();

        this.setFile(fileExtension);
        // Procedure for selecting a file with fileExtension through window browser

        this.generatePart(radius);
        
        this.mesh2D();
        
        this.setPhysics();
        
        this.defineUserFieldFunctions(initAngle);
        
        this.defineBoundaryConditions();
        
        this.configurePostProcessing();
        
        // this.saveSim(folder); // <<<<< Uncomment if you want to save the .sim
                                 // <<<<< Please change variable folder accordingly
          
    }

}
